Subject: Re: Chipselect in SPI binding with mpc5200-psc-spi

From: Kári Davíðsson <[email-masked]>
Date: Mon, 15 Jun 2009 16:36:51 +0000

Is this true?

Grant Likely wrote:
> 
> Yes, this is right.  The psc_spi driver automatically registers all
> spi children that it finds in the device tree onto the SPI bus.
> Therefore registering an spi_driver() is the right thing to do.

I am writing an SPI protocol driver and I find that my driver
is never probed.

I tried to add and call to of_register_spi_devices() in the
drivers/spi/mpc52xx_psc_spi.c::mpc52xx_psc_spi_of_probe() function,
without much effect besided that the DTS node is parsed but the driver probe
is not called, actually it complains about a modalias for my node is missing.

This is with kernel 2.6.29.3.

rg
kd